be.vlaanderen.mercurius.vsb_wzcmh.schemas.v1

## Class ErrorType

- java.lang.Object
- - be.vlaanderen.mercurius.vsb_wzcmh.schemas.v1.ErrorType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2026-02-23T10:17:08+01:00",
                 comments="JAXB RI v2.3.7")
      public class ErrorType
      extends Object
      implements Serializable

  Groeperend element met informatie over één fout

  Java class for ErrorType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="ErrorType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="Code" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <element name="Message" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <element name="Category" type="{http://www.mercurius.vlaanderen.be/vsb-wzcmh/schemas/v1}ErrorCategoryType"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ErrorType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ErrorCategoryType` | `getCategory()` Gets the value of the category property.
    `String` | `getCode()` Gets the value of the code property.
    `String` | `getMessage()` Gets the value of the message property.
    `void` | `setCategory(ErrorCategoryType value)` Sets the value of the category property.
    `void` | `setCode(String value)` Sets the value of the code property.
    `void` | `setMessage(String value)` Sets the value of the message property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ErrorType

          public ErrorType()

  - ### Method Detail

    - #### getCode

          public String getCode()

      Gets the value of the code property.
      Returns:
        possible object is `String`

    - #### setCode

          public void setCode(String value)

      Sets the value of the code property.
      Parameters:
        `value` - allowed object is `String`

    - #### getMessage

          public String getMessage()

      Gets the value of the message property.
      Returns:
        possible object is `String`

    - #### setMessage

          public void setMessage(String value)

      Sets the value of the message property.
      Parameters:
        `value` - allowed object is `String`

    - #### getCategory

          public ErrorCategoryType getCategory()

      Gets the value of the category property.
      Returns:
        possible object is `ErrorCategoryType`

    - #### setCategory

          public void setCategory(ErrorCategoryType value)

      Sets the value of the category property.
      Parameters:
        `value` - allowed object is `ErrorCategoryType`

Connector Packaging TRUSSMAKER 4.8.6 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.